API reference
Addresses
Customer addresses
Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/addresses/create" \ -H "Content-Type: application/json" \ -d '{ "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string", "type": "BILLING", "customerId": "string" }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/addresses/delete" \ -H "Content-Type: application/json" \ -d '{ "addressId": "string" }'{}Get Many
Path Parameters
organizationSlug*string
Length
1 <= lengthQuery Parameters
customerId*string
Length
1 <= lengthdeletedOnly?boolean
Default
falselimit?number
Default
10Range
1 <= value <= 100orderBy?array<>
Default
["created_desc"]page?number
Default
1Range
1 <= valueResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/addresses?customerId=string"{}Get One
Path Parameters
organizationSlug*string
Length
1 <= lengthaddressId*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/addresses/string"{}